import { ThemeDefinition, ThemeVariant } from './types';
declare class ThemeRegistryClass {
    private themes;
    register(variant: string, definition: ThemeDefinition): void;
    get(variant: ThemeVariant | string): ThemeDefinition;
    getVariants(): string[];
}
export declare const ThemeRegistry: ThemeRegistryClass;
export {};
